GenericView
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.views
Class GenericView

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView<GCubeDocument,PropertyTypes.DocumentProperty>
          org.gcube.contentmanagement.gcubedocumentlibrary.views.GenericView

All Implemented Interfaces:
  CollectionView<GCubeDocument,PropertyTypes.DocumentProperty>

    public class GenericView

extends BaseCollectionView<GCubeDocument,PropertyTypes.DocumentProperty>

A `CollectionView` defined by a `DocumentProjection`.

Author:
  Fabio Simeoni (University of Strathclyde)

Field Summary
`static javax.xml.namespace.QName` | `TYPE`

Constructor Summary
`GenericView()`
`GenericView(GCUBEScope s)`
`GenericView(View v)`
`GenericView(View v, GCUBEScope s)`
`GenericView(View v, GCUBEScope s, GCUBESecurityManager m)`
`GenericView(View v, GCUBESecurityManager m)`

Method Summary
`java.util.List<GenericView>` | `findSimilar()` Returns proxies for all the views that share the same properties as the view associated with this proxy.
`DocumentProjection` | `projection()` Returns the `Projection` that defines the view.
`javax.xml.namespace.QName` | `type()` Returns the type of the view.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView
`addProperty, addProperty, cardinality, collectionId, delete, description, id, inner, isBound, lastUpdate, name, properties, publish, publishAndBroadcast, reader, scope, securityManager, setCollectionId, setDescription, setId, setName, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final javax.xml.namespace.QName TYPE

Constructor Detail

### GenericView

    public GenericView()

See Also:
  `BaseCollectionView.BaseCollectionView()`

### GenericView

    public GenericView(GCUBEScope s)

See Also:
  `BaseCollectionView.BaseCollectionView(GCUBEScope)`

### GenericView

    public GenericView(View v)

See Also:
  `BaseCollectionView.BaseCollectionView(View)`

### GenericView

    public GenericView(View v,
                       GCUBEScope s)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBEScope)`

### GenericView

    public GenericView(View v,
                       GCUBESecurityManager m)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBESecurityManager)`

### GenericView

    public GenericView(View v,
                       GCUBEScope s,
                       GCUBESecurityManager m)

See Also:
  `BaseCollectionView.BaseCollectionView(View, GCUBEScope, GCUBESecurityManager)`

Method Detail

### projection

    public DocumentProjection projection()

  Returns the `Projection` that defines the view.

  Returns:
    the projection.

### type

    public javax.xml.namespace.QName type()

  Returns the type of the view.

  Specified by:
    `type` in interface `CollectionView<GCubeDocument,PropertyTypes.DocumentProperty>`
  Overrides:
    `type` in class `BaseCollectionView<GCubeDocument,PropertyTypes.DocumentProperty>`
  Returns:
    the type.

### findSimilar

    public java.util.List<GenericView> findSimilar()
                                            throws DiscoveryException,
                                                   GCUBEException,
                                                   java.lang.Exception

  Returns proxies for all the views that share the same properties as the view associated with this proxy.

  Throws:
    `DiscoveryException` - if the operation could not be completed due to service discovery errors.
    `GCUBEException` - if the operation could not be completed due to other forms of remote errors.
    `java.lang.Exception` - if the operation could not be completed due to local errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD